{% load django_tables2 %}
{% load geojson_tags %}
{% load i18n %}

<div class="table-responsive">
  {% block table %}
  <table{% if table.attrs %} {{ table.attrs.as_html }}{% endif %}>
    {% block table.thead %}
    {% if table.show_header %}
    <thead>
      <tr>
        {% for column in table.columns %}
        {% if column.orderable %}
        <th {{ column.attrs.th.as_html }}><a
            href="{% querystring table.prefixed_order_by_field=column.order_by_alias.next %}">{{ column.header }}</a>
        </th>
        {% else %}
        <th {{ column.attrs.th.as_html }}>{{ column.header }}</th>
        {% endif %}
        {% endfor %}
      </tr>
    </thead>
    {% endif %}
    {% endblock table.thead %}
    {% block table.tbody %}
    <tbody>
      {% for row in table.page.object_list|default:table.rows %} {# support pagination #}
      {% block table.tbody.row %}
      <tr {{ row.attrs.as_html }}>
        {% for column, cell in row.items %}
        <td {{ column.attrs.td.as_html }}>
          {% if column.localize == None %}{{ cell }}{% else %}{% if column.localize %}
          {{ cell|localize }}{% else %}{{ cell|unlocalize }}{% endif %}{% endif %}</td>
        {% endfor %}
      </tr>
      {% endblock table.tbody.row %}
      {% empty %}
      {% if table.empty_text %}
      {% block table.tbody.empty_text %}
      <tr>
        <td colspan="{{ table.columns|length }}">{{ table.empty_text }}</td>
      </tr>
      {% endblock table.tbody.empty_text %}
      {% endif %}
      {% endfor %}
    </tbody>
    {% endblock table.tbody %}
    {% block table.tfoot %}
    {% if table.has_footer %}
    <tfoot>
      <tr>
        {% for column in table.columns %}
        <td {{ column.attrs.tf.as_html }}>{{ column.footer }}</td>
        {% endfor %}
      </tr>
    </tfoot>
    {% endif %}
    {% endblock table.tfoot %}
    </table>
    {% endblock table %}
</div>

{% if table.page %}
{% with table.page.paginator.count as total %}
{% with table.page.object_list|length as count %}
{% block pagination %}
<nav aria-label="table_navigation" class="pull-right" style="margin-top:5px;margin-bottom:5px">
  <ul class="pagination pagination-sm">
    {% if table.page.has_previous %}
    {% block pagination.previous %}
    <li class="page-item">
      <a class="page-link"
        href="{% querystring table.prefixed_page_field=table.page.previous_page_number %}">{% trans "Previous" %}</a>
    </li>
    {% endblock pagination.previous %}
    {% endif %}
    {% if table.page.has_previous or table.page.has_next %}
    {% block pagination.cardinality %}
    <li class="page-item">
      <a class="page-link" href="#">
        {% blocktrans with table.page.number as current and table.paginator.num_pages as total %}
        Page
        {{ current }} of {{ total }}{% endblocktrans %}</a>
    </li>
    {% endblock pagination.cardinality %}
    {% endif %}
    {% if table.page.has_next %}
    {% block pagination.next %}
    <li class="page-item">
      <a class="page-link"
        href="{% querystring table.prefixed_page_field=table.page.next_page_number %}">{% trans "Next" %}</a>
    </li>
    {% endblock pagination.next %}
    {% endif %}
  </ul>
</nav>
{% endblock pagination %}
{% endwith %}
{% endwith %}
{% endif %}
